gRPC C#
gRPC C#
Namespaces
Grpc.Core
ServerServiceDefinition Class
ServerServiceDefinition Methods

ServerServiceDefinition Class

Mapping of method names to server call handlers. Normally, the ServerServiceDefinition objects will be created by the BindService factory method that is part of the autogenerated code for a protocol buffers service definition.
Inheritance Hierarchy
System
Object
Grpc.Core
ServerServiceDefinition

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public class ServerServiceDefinition

    Public Class ServerServiceDefinition

    public ref class ServerServiceDefinition

    type ServerServiceDefinition =  class end

The ServerServiceDefinition type exposes the following members.

Methods

| Name | Description
--- | --- | ---
| CreateBuilder | Creates a new builder object for ServerServiceDefinition.
| Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as the default hash function. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | Returns a string that represents the current object. (Inherited from Object.)

Top
See Also

#### Reference

Grpc.Core Namespace